#!/bin/sh

test -x /usr/bin/amixer || exit 0

SYSTEM_VERSION="$(dmidecode -s system-version)"
SYSTEM_PRODUCT_NAME="$(dmidecode -s system-product-name)"

# Edge 325 says s-v="Thinkpad Edge", so that's useless.  Have to go
# with s-p-n
if   [ "$SYSTEM_VERSION" = "ThinkPad X120e" -o \
       "$SYSTEM_PRODUCT_NAME" = "129721U" ]
then
        /usr/bin/amixer -D hw:SB -q sset Capture toggle
    
else
        /usr/bin/amixer -q sset Capture toggle
fi

